javax.mail.internet

## Class NewsAddress

- java.lang.Object
- - javax.mail.Address
  - - javax.mail.internet.NewsAddress

- All Implemented Interfaces:
    Serializable

      public class NewsAddress
      extends Address

  This class models an RFC1036 newsgroup address.
  Author:
    Bill Shannon, John Mani
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `host`
    `protected String` | `newsgroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsAddress()` Default constructor.
    `NewsAddress(String newsgroup)` Construct a NewsAddress with the given newsgroup.
    `NewsAddress(String newsgroup, String host)` Construct a NewsAddress with the given newsgroup and host.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object a)` The equality operator.
    `String` | `getHost()` Get the host.
    `String` | `getNewsgroup()` Get the newsgroup.
    `String` | `getType()` Return the type of this address.
    `int` | `hashCode()` Compute a hash code for the address.
    `static NewsAddress[]` | `parse(String newsgroups)` Parse the given comma separated sequence of newsgroup into NewsAddress objects.
    `void` | `setHost(String host)` Set the host.
    `void` | `setNewsgroup(String newsgroup)` Set the newsgroup.
    `String` | `toString()` Convert this address into a RFC 1036 address.
    `static String` | `toString(Address[] addresses)` Convert the given array of NewsAddress objects into a comma separated sequence of address strings.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### newsgroup

          protected String newsgroup

    - #### host

          protected String host

  - ### Constructor Detail

    - #### NewsAddress

          public NewsAddress()

      Default constructor.

    - #### NewsAddress

          public NewsAddress(String newsgroup)

      Construct a NewsAddress with the given newsgroup.
      Parameters:
        `newsgroup` - the newsgroup

    - #### NewsAddress

          public NewsAddress(String newsgroup,
                     String host)

      Construct a NewsAddress with the given newsgroup and host.
      Parameters:
        `newsgroup` - the newsgroup
        `host` - the host

  - ### Method Detail

    - #### getType

          public String getType()

      Return the type of this address. The type of a NewsAddress is "news".
      Specified by:
        `getType` in class `Address`
      Returns:
        address type
      See Also:
        `InternetAddress`

    - #### setNewsgroup

          public void setNewsgroup(String newsgroup)

      Set the newsgroup.
      Parameters:
        `newsgroup` - the newsgroup

    - #### getNewsgroup

          public String getNewsgroup()

      Get the newsgroup.
      Returns:
        newsgroup

    - #### setHost

          public void setHost(String host)

      Set the host.
      Parameters:
        `host` - the host

    - #### getHost

          public String getHost()

      Get the host.
      Returns:
        host

    - #### toString

          public String toString()

      Convert this address into a RFC 1036 address.
      Specified by:
        `toString` in class `Address`
      Returns:
        newsgroup

    - #### equals

          public boolean equals(Object a)

      The equality operator.
      Specified by:
        `equals` in class `Address`
      Parameters:
        `a` - Address object

    - #### hashCode

          public int hashCode()

      Compute a hash code for the address.
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public static String toString(Address[] addresses)

      Convert the given array of NewsAddress objects into a comma separated sequence of address strings. The resulting string contains only US-ASCII characters, and hence is mail-safe.
      Parameters:
        `addresses` - array of NewsAddress objects
      Returns:
        comma separated address strings
      Throws:
        `ClassCastException` - if any address object in the given array is not a NewsAddress objects. Note that this is a RuntimeException.

    - #### parse

          public static NewsAddress[] parse(String newsgroups)
                                     throws AddressException

      Parse the given comma separated sequence of newsgroup into NewsAddress objects.
      Parameters:
        `newsgroups` - comma separated newsgroup string
      Returns:
        array of NewsAddress objects
      Throws:
        `AddressException` - if the parse failed

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.